// Example 904
// LCD display Example
// Akinori Tsuji, October 2015
#include <Wire.h>
#include <ST7032.h>
#include <FastLED.h>

// LCD
ST7032 lcd;

// LED
const int DATA_PIN = 4;
#define NUM_LEDS 1
CRGB leds[NUM_LEDS];

void setup() {
  lcd.begin(8, 2); // 8文字，2行
  lcd.setContrast(30); // 液晶のコントラスト
  lcd.clear();

  FastLED.addLeds<WS2811, DATA_PIN, RGB>(leds, NUM_LEDS);
  FastLED.setBrightness(255); // LEDの明るさ調整 0-255
  leds[0] = CRGB(0,0,0); // 消灯
  FastLED.show();
}

void loop() {
  // 九九の計算
  for (int x=1; x<=9; x++) {
    for (int y=1; y<=9; y++) {
      // 九九の計算 x * y = z
      int z = x * y;
      // 九九の計算結果(z)を色相(hue)の0から255に変換
      int hue = map(z, 1, 81, 0, 255);

      lcd.clear(); // 液晶の表示をクリア

      lcd.setCursor(0, 0); // 0列，0行にカーソル位置を移動
      lcd.print(x); lcd.print("X"); lcd.print(y);
      lcd.print("="); lcd.print(z);

      lcd.setCursor(0, 1); // 0列，1行にカーソル位置を移動
      lcd.print("Hue:");
      lcd.print(hue);

      // LEDを色相変化で点灯
      leds[0] = CHSV(hue, 255, 255);
      FastLED.show();

      delay(1000);
    }
  }
}

