#include <Wire.h>
#include <ST7032.h>

ST7032 lcd;

// make some custom characters:
byte heart[8] = {
  0b00000,
  0b01010,
  0b11111,
  0b11111,
  0b11111,
  0b01110,
  0b00100,
  0b00000
};

byte smiley[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b10001,
  0b01110,
  0b00000
};

byte frownie[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b00000,
  0b01110,
  0b10001
};

byte armsDown[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b00100,
  0b01110,
  0b10101,
  0b00100,
  0b01010
};

byte armsUp[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b10101,
  0b01110,
  0b00100,
  0b00100,
  0b01010
};

void setup() {
  lcd.begin(8, 2);
  lcd.setContrast(30);

  lcd.createChar(0, heart);
  lcd.createChar(1, smiley);
  lcd.createChar(2, frownie);
  lcd.createChar(3, armsDown);  
  lcd.createChar(4, armsUp);  

  lcd.setCursor(0, 0);
  lcd.print("I"); 
  lcd.write(0);
  lcd.print("JJ3!");
  lcd.write(1);

  lcd.setCursor(0, 1);
  lcd.print("Distance");
  delay(3000);
}

void loop() {
  int d = analogRead(A3); // センサ値の読み込み

  float dist = 12343.85 * pow(d, -1.15); // 距離に変換
  if (dist > 40) dist = 40; // 40cm 以上は 40cmに

  // 距離7cmから40cmを0から15に変換
  int pos = map(dist, 7, 40, 0, 15);

  lcd.clear();
  if (pos < 8) { // 0～7のとき
    lcd.setCursor(pos, 0);
  } else { // 8～15のとき
    pos -= 8; // 8引いて0から
    lcd.setCursor(pos, 1);
  }
  lcd.write(3); // 人アイコン表示
  delay(100);
}

