#include <Wire.h>
#include <ST7032.h>

ST7032 lcd;

// make some custom characters:
byte heart[8] = {
  0b00000,
  0b01010,
  0b11111,
  0b11111,
  0b11111,
  0b01110,
  0b00100,
  0b00000
};

byte smiley[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b10001,
  0b01110,
  0b00000
};

byte frownie[8] = {
  0b00000,
  0b00000,
  0b01010,
  0b00000,
  0b00000,
  0b00000,
  0b01110,
  0b10001
};

byte armsDown[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b00100,
  0b01110,
  0b10101,
  0b00100,
  0b01010
};

byte armsUp[8] = {
  0b00100,
  0b01010,
  0b00100,
  0b10101,
  0b01110,
  0b00100,
  0b00100,
  0b01010
};

void setup() {
  lcd.begin(8, 2);
  lcd.setContrast(30);

  lcd.createChar(0, heart);
  lcd.createChar(1, smiley);
  lcd.createChar(2, frownie);
  lcd.createChar(3, armsDown);  
  lcd.createChar(4, armsUp);  
  
  lcd.setCursor(0, 0);

  lcd.print("I"); 
  lcd.write(0);
  lcd.print("JJ3!");
  lcd.write(1);
}

void loop() {
  int sensorReading = analogRead(A0);
  int delayTime = map(sensorReading, 0, 200, 200, 1000);

  lcd.setCursor(1, 1);
  lcd.write(3);
  delay(delayTime);

  lcd.setCursor(1, 1);
  lcd.write(4);
  delay(delayTime);   
}

